Rensei docs

Replace the stage cards of the org-scope stage row for a key (org admin).

Replace the stage cards of the org-scope stage row for a key (org admin). - Rensei REST API operation reference.

PUT
/api/org/{orgId}/stages/{key}/cards

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

key*string

The stage key (lowercase kebab-case).

Match^[a-z0-9]+(-[a-z0-9]+)*$
Length1 <= length <= 64

Request Body

application/json
  1. body
cards*array<>

The full list of this scope's stage-card rows for the key.

Itemsitems <= 100

Response Body

The org-scope row's stage cards after the write.

application/json
  1. response
cards*array<>
Example Request
curl -X PUT 'https://app.rensei.ai/api/org/string/stages/string/cards' \  -H 'Content-Type: application/json' \  -d '{  "cards": [    {      "agentCardId": "2a5965de-58ff-478a-b9b7-851d0b90b5c2"    }  ]}'
Example Response
{  "cards": [    {      "id": "string",      "agentCardId": "string",      "isDefault": true,      "excluded": true,      "mentionKeywords": [        "string"      ],      "modelSelection": {        "mode": "inherit",        "effort": "low"      },      "skills": [        {          "skillId": "97d3165d-e1dd-4955-972c-95ebf04dd091",          "version": "string"        }      ],      "repoSkillPolicy": {        "policy": "all",        "allow": [          "string"        ]      },      "position": -9007199254740991,      "condition": {        "hasChildren": true      }    }  ]}